Skip to main content
Use this endpoint to enable or disable display of specific payment methods. For example, you can use the options and method parameters to display only card and netbanking methods on the Checkout. You can use the options parameter to display or hide any of the payment methods:
  • Card
  • Netbanking
  • UPI
  • Wallet

Request

Curl

Response

Success

Parameters

amount mandatory : integer Amount to be paid using the Payment Link. Must be in the smallest unit of the currency. For example, if you want to receive a payment of , you must enter the value 30000. In the case of three decimal currencies, such as KWD, BHD and OMR, to refund a payment of 295.991, pass the value as 295990. And in the case of zero decimal currencies such as JPY, to refund a payment of 295, pass the value as 295.
Watch Out!As per payment guidelines, you should pass the last decimal number as 0 for three decimal currency payments. For example, if you want to refund a customer 99.991 KD for a transaction, you should pass the value for the amount parameter as 99990 and not 99991.currency optional : string A three-letter ISO code for the currency in which you want to accept the payment. For example, INR. Refer to the list of supported currencies.
Handy Tips
Razorpay has added support for zero decimal currencies, such as JPY, and three decimal currencies, such as KWD, BHD, and OMR, allowing businesses to accept international payments in these currencies. Know more about Currency Conversion (May 2024)..accept_partial optional : boolean Indicates whether customers can make partial payments using the Payment Link. Possible values:
  • true: Customer can make partial payments.
  • false (default): Customer cannot make partial payments.
first_min_partial_amount conditionally mandatory : integer Minimum amount, in currency subunits, that must be paid by the customer as the first partial payment. Default value is 100. Default currency is INR. For example, if an amount of is to be received from the customer in two installments of #1 - , #2 - , then you can set this value as 500000. Must be passed along with accept_partial parameter.upi_link mandatory for creating UPI Payment Link : boolean Must be set to true for creating UPI Payment Link. If the upi_link parameter is not passed or passed with value as false, a Standard Payment Link will be created. Possible values:
  • true: Creates a UPI Payment Link.
  • false: Creates a Standard Payment Link.
description optional : string A brief description of the Payment Link. The maximum character limit supported is 2048.reference_id optional : string Reference number tagged to a Payment Link. Must be a unique number for each Payment Link. The maximum character limit supported is 40.customer optional : json object Customer detailsname optional : string The customer’s name.email optional : string The customer’s email address.contact optional : string The customer’s phone number.expire_by optional : integer Timestamp, in Unix, at which the Payment Link will expire. By default, a Payment Link will be valid for six months from the date of creation. Please note that the expire by date cannot exceed more than six months from the date of creation.notify optional : array Defines who handles Payment Link notification.sms optional : boolean Defines who handles the SMS notification. Possible values:
  • true: Razorpay handles the notification.
  • false: You handle the notification.
email optional : boolean Defines who handles the email notification. Possible values:
  • true: Razorpay handles the notification.
  • false: You handle the notification.
notes optional : json object Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example, "note_key": "Payment Link for Groceries.”.callback_url optional : string If specified, adds a redirect URL to the Payment Link. Once customers completes the payment, they are redirected to the specified URL.
Handy Tips
If the callback_url is passed, it must be passed in the correct format. That is, it should contain a URL.callback_method conditionally mandatory : string If callback_url parameter is passed, callback_method must be passed with the value get.reminder_enable optional : boolean Used to send reminders for the Payment Link. Possible values:
  • true: To send reminders.
  • false: To disable reminders.
options mandatory : array Options to display or hide payment methods on the Checkout section. Parent parameter under which the checkout and method child parameters must be passed.checkout mandatory : array The parameter for the Checkout section. method is its child parameter.method mandatory : array Using this parameter, you can control the display of payment methods on the Checkout section. Possible values of the payment methods are:
  • netbanking
  • upi
  • card
  • wallet netbanking : boolean Used to enable or disable netbanking as a payment method on the Checkout section. Possible values are:
    • true (default): Displays netbanking on the Checkout.
    • false: Hides netbanking on the Checkout.
    upi : boolean Used to enable or disable UPI as a payment method on the Checkout section. Possible values are:
    • true (default): Displays UPI on the Checkout.
    • false: Hides UPI on the Checkout.
    card optional : boolean Used to enable or disable card as a payment method on the Checkout section. Possible values are:
    • true (default): Displays card on the Checkout.
    • false: Hides card on the Checkout.
    wallet optional : boolean Used to enable or disable wallet as a payment method on the Checkout section. Possible values are:
    • true (default): Displays wallet on the Checkout.
    • false: Hides wallet on the Checkout.

Parameters

accept_partial : boolean Indicates whether customers can make partial payments using the Payment Link. Possible values:
  • true: Customer can make partial payments.
  • false (default): Customer cannot make partial payments.
amount : integer Amount to be paid using the Payment Link. Must be in the smallest unit of the currency. For example, if you want to receive a payment of , you must enter the value 30000. In the case of three decimal currencies, such as KWD, BHD and OMR, to refund a payment of 295.991, pass the value as 295990. And in the case of zero decimal currencies such as JPY, to refund a payment of 295, pass the value as 295.
Watch Out!As per payment guidelines, you should pass the last decimal number as 0 for three decimal currency payments. For example, if you want to refund a customer 99.991 KD for a transaction, you should pass the value for the amount parameter as 99990 and not 99991.amount_paid : integer Amount paid by the customer.callback_url : string If specified, adds a redirect URL to the Payment Link. Once the customer completes the payment, they are redirected to the specified URL.callback_method : string If callback_url parameter is passed, callback_method must be passed with the value get.cancelled_at : integer Timestamp, in Unix, at which the Payment Link was cancelled by you.created_at : integer Timestamp, in Unix, indicating when the Payment Link was created.currency : string Defaults to INR. We accept payments in international currencies.
Handy Tips
Razorpay has added support for zero decimal currencies, such as JPY, and three decimal currencies, such as KWD, BHD, and OMR, allowing businesses to accept international payments in these currencies. Know more about Currency Conversion (May 2024)..customer : json object Customer details.name : string The customer’s name.email : string The customer’s email address.contact : string The customer’s phone number.description : string A brief description of the Payment Link.expire_by : integer Timestamp, in Unix, when the Payment Link will expire. By default, a Payment Link will be valid for six months from the date of creation. Please note that the expire by date cannot exceed more than six months from the date of creation.expired_at : integer Timestamp, in Unix, at which the Payment Link expired.first_min_partial_amount : integer Minimum amount that must be paid by the customer as the first partial payment. For example, if an amount of is to be received from the customer in two installments of #1 - , #2 - , then you can set this value as 500000.id : string Unique identifier of the Payment Link. For example, plink_ERgihyaAAC0VNW.upi_link : boolean Indicates whether the Payment Link is a UPI Payment Link.
  • true: A UPI Payment Link has been created.
  • false: It is a Standard Payment Link.
notes : object Set of key-value pairs that you can use to store additional information. You (Businesses) can enter a maximum of 15 key-value pairs, with each value having a maximum limit of 256 characters.notify : array Defines who handles Payment Link notification.sms : boolean Defines who handles the SMS notification.
  • true: Razorpay handles the notification.
  • false: Businesses handle the notification.
email : boolean Defines who handles the email notification.
  • true: Razorpay handles the notification.
  • false: Businesses handle the notification.
payments : array Payment details such as amount, payment id, Payment Link id and more are stored in this array. It is populated only after a payment is successfully captured by the customer. Only captured payments will be shown here. Until then, the value is null.amount : integer The amount paid by the customer using the Payment Link.created_at : integer Timestamp, in Unix, indicating when the payment was made.method : string The payment method used to make the payment. Possible values:
  • netbanking
  • card
  • wallet
  • upi
  • emi
  • bank_transfer
payment_id : string Unique identifier of the payment made against the Payment Link.plink_id : string Unique identifier of the Payment Link. For example, plink_ERgihyaAAC0VNW.status : string The payment state. Possible value is captured.updated_at : integer Timestamp, in Unix, indicating when the payment was updated.reference_id : string Reference number tagged to a Payment Link. Must be a unique number for each Payment Link. The maximum character limit supported is 40.short_url : string The unique short URL generated for the Payment Link.status : string Displays the current state of the Payment Link. Possible values:
  • created
  • partially_paid
  • expired
  • cancelled
  • paid
updated_at : integer Timestamp, in Unix, indicating when the Payment Link was updated.reminder_enable : boolean Used to send reminders for the Payment Link. Possible values:
  • true: To send reminders.
  • false: To disable reminders.
user_id : string A unique identifier for the user role through which the Payment Link was created. For example, HD1JAKCCPGDfRx.

Errors

The api {key/secret} provided is invalid
  • code: 4xx
  • description: There is a mismatch between the API credentials passed in the API call and the API credentials generated on the Dashboard.
  • solution: Make sure that: - The API Keys are active and entered correctly.
  • There are no white-spaces before or after the keys.
The {input field} is required
  • code: 4xx
  • description: A mandatory field is empty.
  • solution: Ensure all mandatory fields and values are present.
wrong input fields sent.
  • code: 400
  • description: When wrong input fields are sent during Payment Link creation.
  • solution: Ensure that the input fields are added correctly. Refer to these request parameters on how to add correct input fields.
payment link creation with reference ID already attempted
  • code: 400
  • description: An existing reference id has been passed.
  • solution: Ensure that a unique reference id is used for all Payment Links.
timestamp must be atleast 15 minutes in future
  • code: 400
  • description: The epoch time passed is less than 15 minutes from the current time.
  • solution: The close_by time should be more than 15 minutes from the current time.
Invalid access: Cannot create a payment link in live mode, as live mode is disabled for merchant.
  • code: 400
  • description: Occurs when you try to create a Payment Link in Live mode, but live mode is disabled for you
  • solution: Raise a request to our support team to get live mode enabled for you.
Invalid access: Cannot create a payment link, as Merchant is Suspended.
  • code: 400
  • description: Occurs when you try to create a Payment Link when you have been been suspended.
  • solution: Raise a request to our support team to be reinstated.
value: the length must not be greater than 255.
  • code: 400
  • description: When the notes length is greater than 255 characters during Payment Link creation.
  • solution: Please create a payment link with notes values less than 255 characters.